/**
 * ファイル出力
 */

var XMLname = "PrivacyPolicy.xml";
var HTML1name="app-sample-abst.html";
var HTML2name="app-sample-new.html";

/**
 * HTMLとXMLを出力する
 */
function exportFile(){
    exportHTML1();
    exportHTML2();
    exportXML();
}


/**
 * strに設定した文字列を filenameのファイルとして保存する
 */
function saveText(str, filename, mimeType) {
    var uri, a;
	var bom = new Uint8Array([0xef, 0xbb, 0xbf]);
	var blob = new Blob([bom, str], {type : mimeType});
	
    a = document.createElement('a');
    a.download = filename;
    a.target = '_blank';
    
    if (window.navigator.msSaveBlob) {
		window.navigator.msSaveBlob(blob, filename); 
    } else if (window.URL && window.URL.createObjectURL) { // for firefox
		a.href = window.URL.createObjectURL(blob);
		document.body.appendChild(a);
    	a.click();
    	document.body.removeChild(a);
    } else if (window.webkitURL && window.webkitURL.createObject){ // for chrome
    	a.href = window.webkitURL.createObjectURL(blob);
    	a.click();
    } else { // for safari
	    window.open('data:' + mimeType + ';base64,' + window.Base64.encode(content), '_blank');
    }
 

    return;
};

/**
 * XMLを出力する
 */
function exportXML(){

    var t = new Date();
    var xmltext = '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>\r\n';
    xmltext += '<!DOCTYPE プライバシーポリシー SYSTEM "XML2_JP.dtd">\r\n';
    xmltext += '<プライバシーポリシー xmlns="http://www.isohara.nwsec.sec.kddilabs.jp/xppml">\r\n';

    xmltext += ' <文書属性>\r\n';
    xmltext += '  <作成者>\r\n';
    xmltext += document.info.maker.value +  '\r\n';
    xmltext += '  </作成者>\r\n';

    xmltext += '  <作成日時>\r\n';
    xmltext += t.toString() + '\r\n';
    xmltext += '  </作成日時>\r\n';

    xmltext += '  <更新日時>\r\n';
    xmltext += t.toString() + '\r\n';
    xmltext += '  </更新日時>\r\n';

    xmltext += '  <バージョン>\r\n';
    xmltext += document.info.documentversion.value + '\r\n';
    xmltext += '  </バージョン>\r\n';
    xmltext += ' </文書属性>\r\n';

    xmltext += ' <対象>\r\n';
    xmltext += '  <APKファイル>\r\n';
    xmltext += '   <パッケージ名>\r\n';
    xmltext +=  document.info.packagename.value + '\r\n';
    xmltext += '   </パッケージ名>\r\n';
    xmltext += '   <バージョンコード>\r\n';
    xmltext +=  document.info.versioncode.value + '\r\n';
    xmltext += '   </バージョンコード>\r\n';
    xmltext += '   <バージョン文字列>\r\n';
    xmltext +=  document.info.versionname.value + '\r\n';
    xmltext += '   </バージョン文字列>\r\n';
    xmltext += '   <ハッシュ値>\r\n';
    xmltext += document.info.apkshahash.value + '\r\n';
    xmltext += '   </ハッシュ値>\r\n';
    xmltext += '  </APKファイル>\r\n';
    xmltext += ' </対象>\r\n';
    
    xmltext += ' <利用者情報取扱>\r\n';
    xmltext += '  <提供者>\r\n';
    xmltext += '   <事業者>\r\n';
    xmltext += '    <名称>\r\n';
    xmltext += document.info.operator.value + '\r\n';
    xmltext += '    </名称>\r\n';

    xmltext += '    <事業者ポリシー>\r\n';
    xmltext += document.info.operatorprapoliuri.value + '\r\n';
    xmltext += '    </事業者ポリシー>\r\n';
    xmltext += '   </事業者>\r\n';

    xmltext += '   <アプリケーションプライバシーポリシー>\r\n';
    xmltext += document.info.applicationuri.value + '\r\n';
    xmltext += '   </アプリケーションプライバシーポリシー>\r\n';
    xmltext += '  </提供者>\r\n';

    if(outsidesend.rows.length < 2){
	xmltext += '<取扱情報 有無="無" />\r\n';
    }else{
	var objs1 = document.getElementsByName('outsidesend1[]');
	var objs2 = document.getElementsByName('outsidesend2[]');
	var objs3 = document.getElementsByName('outsidesend3[]');
	var objs4 = document.getElementsByName('outsidesend4[]');
	var objs5 = document.getElementsByName('outsidesend5[]');
	var objs6 = document.getElementsByName('outsidesend6[]');
	for(var i=0; i<outsidesend.rows.length-1; i++){
	    xmltext +='<取扱情報 有無="有">\r\n';
	    xmltext += '   <取得情報>\r\n';
	    xmltext += objs1[i].value+'\r\n'; // 利用者情報
	    xmltext += '   </取得情報>\r\n';
	    xmltext += '   <送信先>\r\n';
	    xmltext += '    <名称>\r\n';
	    xmltext += objs2[i].value+'\r\n'; // 送信先
	    xmltext += '    </名称>\r\n';
	    xmltext += '   </送信先>\r\n';
	    xmltext += '   <利用目的>\r\n';
	    xmltext += objs3[i].value+'\r\n'; // 利用目的
	    xmltext += '   </利用目的>\r\n';
	    xmltext += '   <取得方法>\r\n';
	    if(objs4[i].value == "auto") {
	    	xmltext += '自動送信\r\n'; // 取得方法
	    } else {
	    	xmltext += '手動送信\r\n'; // 取得方法
	    }
	    xmltext += '   </取得方法>\r\n';
	    xmltext += '   <第三者利用>\r\n';
	    if(objs5[i].value == 'ari') {
		    xmltext += '有\r\n'; // アプリ提供事業者以外への提供
	    } else {
		    xmltext += '無\r\n'; // アプリ提供事業者以外への提供
	    }
	    xmltext += '   </第三者利用>\r\n';
	    xmltext += '   <補足情報>\r\n';
	    xmltext += objs6[i].value+'\r\n'; // 補足情報
	    xmltext += '   </補足情報>\r\n';
	    xmltext += '  </取扱情報>\r\n';
	}
    }

    xmltext += '  <利用者関与の方法 種別="収集停止" 可否="';
    if(document.info.sendstop.value == "ari") {
	xmltext += '可">\r\n';
	xmltext += '<方法>'+'\r\n';
	xmltext += document.info.sendstoprede.value+'\r\n';
	xmltext += '</方法>'+'\r\n';
	xmltext += '<影響>'+'\r\n';
	xmltext += document.info.sendstopinfluence.value+'\r\n';
	xmltext += '</影響>'+'\r\n';
	xmltext += '  </利用者関与の方法>\r\n';
    } else {
	xmltext += '否" />\r\n';
    }

    xmltext += '  <利用者関与の方法 種別="情報削除" 可否="';
    if(document.info.infodel.value == "ari") {
	xmltext += '可">\r\n';
	xmltext += '<方法>'+'\r\n';
	xmltext += document.info.infodelrede.value+'\r\n';
	xmltext += '</方法>'+'\r\n';
	xmltext += '<影響>'+'\r\n';
	xmltext += document.info.infodelinfluence.value+'\r\n';
	xmltext += '</影響>'+'\r\n';
	xmltext += '  </利用者関与の方法>\r\n';
    } else {
	xmltext += '否" />\r\n';
    }

    xmltext += '  <第三者提供 有無="';
    var send3rd='nasi';
    var objs5 = document.getElementsByName('outsidesend5[]');
    for(var i=0;i<outsidesend.rows.length-1;i++){
	if(objs5[i].value == 'ari'){
	    send3rd = 'ari';
	}
    }
    if(send3rd == 'ari'){
	xmltext += '有';
    } else {
	xmltext += '無';
    }
    xmltext += '" />\r\n';

    if(thirdparty.rows.length < 2){
	xmltext += '  <情報収集モジュール 有無="無" />\r\n';
    } else {
	xmltext += '  <情報収集モジュール 有無="有" >\r\n';
	var objs1 = document.getElementsByName('thirdparty1[]');
	var objs2 = document.getElementsByName('thirdparty2[]');
	var objs3 = document.getElementsByName('thirdparty3[]');
	var objs4 = document.getElementsByName('thirdparty4[]');
	var objs5 = document.getElementsByName('thirdparty5[]');
	var objs6 = document.getElementsByName('thirdparty6[]');

	for(var i=0;i<thirdparty.rows.length-1;i++){
	    xmltext += '   <利用者情報>\r\n';
	    xmltext += objs1[i].value + '\r\n';
	    xmltext += '   </利用者情報>\r\n';
	    xmltext += '   <モジュール名>\r\n';
	    xmltext += objs2[i].value + '\r\n';
	    xmltext += '   </モジュール名>\r\n';
	    xmltext += '   <提供元>\r\n';
	    xmltext += objs3[i].value + '\r\n';
	    xmltext += '   </提供元>\r\n';
	    xmltext += '   <ホームページ>\r\n';
	    xmltext += objs4[i].value + '\r\n';
	    xmltext += '   </ホームページ>\r\n';
	    xmltext += '   <属性>\r\n';
	    xmltext += objs5[i].value + '\r\n';
	    xmltext += '   </属性>\r\n';
	    xmltext += '   <プライバシーポリシー>\r\n';
	    xmltext += objs6[i].value + '\r\n';
	    xmltext += '   </プライバシーポリシー>\r\n';
	}
	xmltext += '  </情報収集モジュール>\r\n';
    }

    xmltext += '  <問い合わせ窓口>\r\n';
    xmltext += '   <名称>\r\n';
    xmltext += document.info.windowname.value + '\r\n';
    xmltext += '   </名称>\r\n';
    if(enquiry.rows.length > 1){
	objs1 = document.getElementsByName('enquiry1[]');
	for(var i=0;i<enquiry.rows.length-1; i++){
	    xmltext += '   <宛先>\r\n';
	    xmltext += objs1[i].value + '\r\n';
	    xmltext += '   </宛先>\r\n';
	}
    }
    xmltext += '  </問い合わせ窓口>\r\n';

    xmltext += '  <プライバシーポリシー変更時の確認方法>\r\n';
    xmltext += document.info.purapolicngcnfm.value + '\r\n';
    xmltext += '  </プライバシーポリシー変更時の確認方法>\r\n';
    xmltext += ' </利用者情報取扱>\r\n';
    xmltext += '</プライバシーポリシー>\r\n';

    saveText(xmltext, XMLname, 'text/xml');
    
}

/**
 * HTML概要版を出力する
 */
function exportHTML1(){
    var str = '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">\r\n';
    str += '<html>\r\n';
    str += '<head>\r\n';
    str += '\t<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">\r\n';
    str += '\t<title>送信情報の概要</title><meta class="java.util.ArrayList">\r\n';
    str += '\t<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=yes"></head>\r\n';
    str += '<body>\r\n';
    str += '<h1>送信情報の概要</h1>\r\n';
    str += '<font color="GREEN">\r\n';
    str += document.info.appname.value; // アプリケーション名
    if(outsidesend.rows.length > 1) {
	// 外部送信あり
	str += '</font><span>は、以下のお客様情報を外部送信します。</span><br><br>\r\n';
	str += '<table border="0">\r\n';
	str += '<thead><tr><th align="LEFT">■送信するお客様情報</th>';
	str += '<th align="LEFT">■送信する目的</th>';
	str += '<th align="LEFT">■送信先</th></tr></thead>\r\n';
	str += '<tbody>\r\n';
	var objs1 = document.getElementsByName('outsidesend1[]');
	var objs3 = document.getElementsByName('outsidesend3[]');
	var objs2 = document.getElementsByName('outsidesend2[]');
	
	for(var i=0;i<outsidesend.rows.length-1; i++){
	    str += '<tr>';
	    str += '<td>' + objs1[i].value + '</td>';
	    str += '<td>' + objs3[i].value + '</td>';
	    str += '<td>' + objs2[i].value + '</td>';
	    str += '</tr>\r\n';
	}
	str += '</tbody></table>\r\n';
    } else {
	str += '</font><span>は、お客様情報を外部送信いたしません。</span><br><br>\r\n';
    }
    str += '<br><span>より詳細なアプリケーションプライバシーポリシーを</span>\r\n';
    str += '<a href="';
    str += HTML2name;
    str += '"><anchortext>';
    str += HTML2name;
    str += '</anchortext></a><span>でご覧いただけます。</span><br>\r\n';
    str += '</body>\r\n';
    str += '</html>\r\n';

    saveText(str, HTML1name, 'text/html');
}

/**
 * HTML詳細版を出力する
 */
function exportHTML2(){
    var str = '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">\r\n';
    str += '<html><head>\r\n';
    str +='<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">\r\n';
    str +='<title>アプリケーションのプライバシーポリシー</title>\r\n';

    str +='<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=yes">\r\n';
    str += '</head>\r\n';
    str += '<body>\r\n';

    str +='<h1><font color="GREEN">';
    str += document.info.appname.value;
    str += '</font> アプリケーションに関するアプリケーション・プライバシーポリシー</h1>\r\n';
    str += '<br><span>本アプリケーション（以下、アプリ）・プライバシーポリシーは、</span>\r\n';
    str +='<font color="GREEN">';
    str +=document.info.operator.value; // 事業者名
    str +='</font><span>が提供するスマートフォン向けアプリ</span>';
    str +='<font color="GREEN">';
    str +=document.info.appname.value; //アプリケーション名
    str +='</font><span>から送信される利用者情報とその取り扱いについて説明するものです。本アプリ・プライバシーポリシーの内容をご確認・ご理解したうえで</span>\r\n';
    str +='<font color="GREEN">';
    str +=document.info.appname.value; //アプリケーション名
    str +='</font><span>をご利用ください。</span><br><br>\r\n';

    str +='<table border="0"><tbody><tr><td>';
    str +='<h2>アプリ本体の説明</h2>\r\n';
    str +='<span>【アプリ本体から送信される利用者情報、目的、送信先】</span>\r\n';

    if(outsidesend.rows.length < 2){
	// 送信情報なし
	str += '<ul><li>アプリ本体から送信される利用者情報はありません。</li></ul>\r\n';
    } else {
	var objs1 = document.getElementsByName('outsidesend1[]');
	var objs2 = document.getElementsByName('outsidesend2[]');
	var objs3 = document.getElementsByName('outsidesend3[]');
	var objs4 = document.getElementsByName('outsidesend4[]');
	var objs5 = document.getElementsByName('outsidesend5[]');
	var objs6 = document.getElementsByName('outsidesend6[]');
	str += '<ul>';
	for(var i=0; i<outsidesend.rows.length-1; i++){
	
	    str += '<li><font color="GREEN">' + objs1[i].value + '</font>を';
	    str += '<font color="GREEN">' + objs3[i].value + '</font>のために';
	    str += '<font color="GREEN">' + objs2[i].value + '</font>';
	    if(objs4[i].value === "auto") {
		str += 'へ自動的に送信します。\r\n';
	    } else {
		str += 'へ手動で送信します。\r\n';
	    }
	    if(objs5[i].value === "nasi") {
		str += 'この情報を第三者へ提供することはございません。\r\n';
	    } else {
		str += 'この情報は第三者へ提供されます。\r\n';
	    }
	    if(objs6[i].value != ''){
		str += '<ul><li><font color="GREEN">' +
		    objs6[i].value +
		    '</font></li></ul>\r\n';
	    }
	    str += '</li>\r\n';
	}
    }

    str +='<span>【アプリ本体からの利用者情報の送信停止／削除とその影響など】</span><ul>\r\n';
    str +='<li>';
    if(document.info.sendstop.value == "nasi") {
	str += '本アプリは、利用者情報の送信を停止する手段を提供しておりません。\r\n';
	str += '送信を停止したい場合は、本アプリをアンインストールしてください。\r\n';
    } else {
	str += '本アプリは、利用者情報の送信を停止する手段を提供しております。\r\n';
	if(document.info.sendstoprede.value != ''){
	    str += '送信を停止したい場合には、<font color="GREEN">\r\n';
	    str += document.info.sendstoprede.value;
	    str += '</font>\r\n';
	}
	if(document.info.sendstopinfluence.value != ''){
	    str += '送信を停止した場合には、<font color="GREEN">';
	    str += document.info.sendstopinfluence.value;
	    str += '</font>\r\n';
	}
    }
    str +='</li>\r\n';
    str +='<li>';
    if(document.info.infodel.value == "nasi") {
	str += '本アプリは、送信された利用者情報を送信先のサーバから削除する手段を提供しておりません。\r\n';
	str += '送信情報の削除については、<font color="GREEN">';
	str += document.info.windowname.value;
	str += '</font>の問い合わせ窓口までご連絡ください。\r\n';
    } else {
	str += '本アプリは、送信された利用者情報を送信先のサーバから削除する手段を提供しております。\r\n';
	if(document.info.infodelrede.value != ''){
	    str += '削除したい場合には、<font color="GREEN">';
	    str += document.info.infodelrede.value;
	    str += '</font>\r\n';
	}
	if(document.info.infodelinfluence.value != ''){
	    str += '削除した場合には、<font color="GREEN">';
	    str += document.info.infodelinfluence.value;
	    str += '</font>\r\n';
	}
    }
    str +='</li>\r\n';
    str +='</li></ul></td></tr>\r\n';
    str +='<tr><td><h2>組み込まれた外部の情報収集モジュール(※１)の説明</h2>\r\n';
    str +='<span>【情報収集モジュールから送信される利用者情報、目的、送信先】</span><br>\r\n';
    str +='<font color="GREEN">';
    str +=document.info.appname.value;//<%appname>

    str +='</font><span>には、以下の情報収集モジュールが含まれます。</span><br>\r\n';
    if(thirdparty.rows.length < 2){
	str += '<ul><li>情報収集モジュールはありません。</li></ul> \r\n';
    } else {
	var objs1 = document.getElementsByName('thirdparty1[]');
	var objs2 = document.getElementsByName('thirdparty2[]');
	var objs3 = document.getElementsByName('thirdparty3[]');
	var objs4 = document.getElementsByName('thirdparty4[]');
	var objs5 = document.getElementsByName('thirdparty5[]');
	var objs6 = document.getElementsByName('thirdparty6[]');

	str += '<ul>';
	for(var i=0;i<thirdparty.rows.length-1;i++){
	    str += '<li><font color="GREEN">' + objs3[i].value + '</font>';
	    str += '&nbsp;&nbsp;';
	    str += '<font color="GREEN">' + objs2[i].value + '</font><br>';
	    str += '<font color="GREEN">' + objs1[i].value + '</font>を、';
	    str += '<font color="GREEN">' + objs5[i].value + '</font>';
	    str += 'のために送信する可能性があります。<br>';
	    str += '<table border="0"><tr><td>事業者URL</td>';
	    str += '<td><a href="' + objs4[i].value + '">';
	    str += '<anchortext>' + objs4[i].value +
		'</anchortext></a></td></tr>';
	    str += '<tr><td>事業者プライバシーポリシー</td>';
	    str += '<td><a href="' + objs6[i].value +
		'"><anchortext>' + objs6[i].value + '</anchortext></a></td></tr>';
	    str += '</table></li>\r\n';
	}
	str += '</ul>\r\n';
    }
    str +='<br></td></tr><tr><td>\r\n';

    str +='<table border="0" align="LEFT"><tbody><tr><td><span>※１:</span></td><td>\r\n';
    str +='<span>情報収集モジュールとは、広告表示やアプリの利用頻度を解析する、アプリ本体の機能とは独立した、第三者が作成したプログラムのことです。</span>\r\n';
    str +='</td></tr></tbody></table></td></tr>\r\n';
    str +='<tr><td><h2>アプリ／アプリ提供者の説明</h2><span>【</span><font color="GREEN">';
    str +=document.info.operator.value;//<%operator>
    str +='</font><span>の個人情報保護方針】</span><br>\r\n';
    str +='<span>当社の個人情報保護方針（事業者プライバシーポリシー）は、下記のリンクよりご確認ください。本個人情報保護方針（事業者プライバシーポリシー）と、本アプリ・プライバシーポリシーが異なる場合には、本アプリ・プライバシーポリシーが優先されるものとします。</span>\r\n';
    str +='<br><a href="';
    str +=document.info.operatorprapoliuri.value;//<%operatorprapoliuri>
    str +='"><anchortext>';
    str +=document.info.operatorprapoliuri.value;//<%operatorprapoliuri>
    str +='</anchortext></a><br><br><span>【</span>';
    str +='<font color="GREEN">';
    str +=document.info.operator.value;//<%operator>
    str +='</font><span>の問い合わせ窓口】</span><br>\r\n';
    str +='<dl><dt><font color="GREEN">';
    str +=document.info.windowname.value;//<%windowname>
    str +='</font></dt>\r\n<dd>';
    if(enquiry.rows.length > 1){
	objs1 = document.getElementsByName('enquiry1[]');
	for(var i=0;i<enquiry.rows.length-1; i++){
	    str += '<font color="GREEN">'+ objs1[i].value + '</font>';
	    if(i != enquiry.rows.length-2) {
		str += '<br>\r\n';
	    }
	}
    }
    str +='</dd><dl><br><br>\r\n';
    str += '<span>【</span>';
    str +='<span>本アプリ・プライバシーポリシーの変更について】</span><br>\r\n';
    str +='<span>本アプリのバージョンアップに伴って、送信される利用者情報、目的、送信先が変更される場合があります。変更内容などは、新バージョンのアプリに付随するアプリ・プライバシーポリシーをご参照ください。</span><br>\r\n';
    str += '<font color="GREEN">\r\n';
    str += document.info.purapolicngcnfm.value + '</font>\r\n';
    str +='<br><br><div align="right">以上</div>\r\n';
    str += '<br><br><br><br><br><br><br><br></body></html>\r\n';

    saveText(str, HTML2name, 'text/html');
}
